<?php
/**
 * @package     DOCman
 * @copyright   Copyright (C) 2011 - 2014 Timble CVBA. (http://www.timble.net)
 * @license     GNU GPLv3 <http://www.gnu.org/licenses/gpl.html>
 * @link        http://www.joomlatools.com
 */

class ComDocmanDatabaseTableCategories extends KDatabaseTableAbstract
{
    protected function  _initialize(KObjectConfig $config)
    {
        $config->append(array(
            'relation_table' => 'docman_category_relations',
            'behaviors'      => array(
                'permissible',
                'lockable',
                'sluggable',
                'creatable',
                'modifiable',
                'identifiable',
                'orderable',
                'parameterizable',
                'timezonable'  => array('fields' => array('created_on')),
                'nestable'     => array('relation_table' => 'docman_category_relations'),
                'invalidatable'
            ),
            'column_map' => array(
                'parameters' => 'params'
            ),
            'filters'        => array(
                'parameters'  => array('json'),
                'title'       => array('trim'),
                'slug'        => array('trim'),
                'description' => array('trim', 'html')
            )
        ));

        parent::_initialize($config);
    }
}
